function::ucallers
Prev | Chapter 2. Context Functions | Next

## Name

function::ucallers — Return first n elements of user stack backtrace

## Synopsis

        ucallers:string(n:long)

## Arguments

`n`

  number of levels to descend in the stack (not counting the top level). If n is -1, print the entire stack.

## Description

This function returns a string of the first n hex addresses from the backtrace of the user stack. Output may be truncated as per maximum string length (MAXSTRINGLEN).

## Note

To get (full) backtraces for user space applications and shared shared libraries not mentioned in the current script run stap with -d /path/to/exe-or-so and/or add --ldd to load all needed unwind data.

Prev | Up | Next
function::ubacktrace | Home | function::uid